function A1 = deflaziona(A,x)
%
% A1 = deflaziona(A,x)
%
if (length(A) == 1)
  A1 = A;
  warning('Matrice di ordine 1.');
  return
end
w = x;
w(1) = w(1)-1;
beta = norm(w);
if (beta == 0)
  Qw = eye(size(A));
else
  Qw = (eye(size(A))-2*(w*w')/beta^2);
end
B = Qw*A*Qw;
A1 = B(2:end,2:end);  
